package com.bonus.canteen.core.order.weight.vo;

import cn.hutool.core.util.StrUtil;
import io.swagger.annotations.ApiModelProperty;

public class AliMacWeightBindVO {
   @ApiModelProperty("支付宝token")
   private String alifToken;
   @ApiModelProperty("支付宝加签")
   private String aliSign;

   public boolean ifMeetRebate() {
      return StrUtil.isAllNotBlank(new CharSequence[]{this.alifToken, this.aliSign});
   }

   public String getAlifToken() {
      return this.alifToken;
   }

   public String getAliSign() {
      return this.aliSign;
   }

   public void setAlifToken(final String alifToken) {
      this.alifToken = alifToken;
   }

   public void setAliSign(final String aliSign) {
      this.aliSign = aliSign;
   }

}
